local WeaponUp = CreateFrame("Frame")
local queueset = queueset
					
local Items = 	{		--Fishing Poles--
						6365, -- Strong Fishing Pole
						46337, -- Staats' Fishing Pole
						52678, -- Jonathan's Fishing Pole
						6256, -- Fishing Pole
						6366, -- Darkwood Fishing Pole
						6367, -- Big Iron Fishing Pole
						25978, -- Seth's Graphite Fishing Pole
						19022, -- Nat Pagles Extreme Angler FC-5000
						45858, -- Nat's Lucky Fishing Pole
						45992, -- Jeweled Fishing Pole
						45991, -- Bone Fishing Pole
						19970, -- Arcanite Fishing Pole
						44050, -- Mastercraft Kalu'ak Fishing Pole
						
						--Other Items--
						52716, --Twilight Fire Lance
						46106, --Argent Lance
						46069, --Alliance Lance
						46070, --Horde Lance
						37892, --Green Brewfest Stein
						32912, --Yellow Brewfest Stein
						33016, --Blue Brewfest Stein
						44731, --Bouquet of Ebon Roses
						22206} --Bouquet of Red Roses

local MountIDs = {
		[39710] = "Aviana's Guardian",
		[40719] = "Aviana's Guardian",
		[40720] = "Aviana's Guardian",
		[40723] = "Aviana's Guardian",
		}						
local ArgentMountIDs = {}
						
WeaponUp:RegisterEvent("ADDON_LOADED")
WeaponUp:RegisterEvent("PLAYER_REGEN_DISABLED")
WeaponUp:RegisterEvent("PLAYER_ENTERING_WORLD")
WeaponUp:RegisterEvent("EQUIPMENT_SWAP_FINISHED")
WeaponUp:RegisterEvent("PLAYER_REGEN_ENABLED")
WeaponUp:RegisterEvent("TRADE_SKILL_SHOW")
WeaponUp:RegisterEvent("TRADE_SKILL_CLOSE")
WeaponUp:RegisterEvent("UNIT_EXITED_VEHICLE")

SLASH_WeaponUp1 = "/wu";
local function handler(msg, editbox)
	if (msg=="off") then
		wuenable = false
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r |cffff0000Off|r")
		myCheckButton_GlobalName:SetChecked(false)
	
	elseif (msg=="on") then
		wuenable = true
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r |cff00ff00On|r")
		myCheckButton_GlobalName:SetChecked(true)
		
	elseif (msg=="reequip off") then
		wufishingmode = false
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Re-equip mode |cffff0000Off|r")
		myCheckButton_GlobalName2:SetChecked(false)
	
	elseif (msg=="reequip on") then
		wufishingmode = true
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Re-equip mode |cff00ff00On|r")
		myCheckButton_GlobalName2:SetChecked(true)

	elseif (msg=="pvp off") then
		wupvpmode = nil
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r PvP mode |cffff0000Off|r")
		myCheckButton_GlobalName4:SetChecked(false)
	
	elseif (msg=="pvp on") then
		wupvpmode = true
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r PvP mode |cff00ff00On|r")
		myCheckButton_GlobalName4:SetChecked(true)	
	
	elseif (msg=="jousting off") then
		wujoustingmode = nil
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Jousting mode |cffff0000Off|r")
		myCheckButton_GlobalName5:SetChecked(false)
	
	elseif (msg=="jousting on") then
		wujoustingmode = true
		DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r Jousting mode |cff00ff00On|r")
		myCheckButton_GlobalName5:SetChecked(true)	
	
	elseif (msg =="") then
		InterfaceOptionsFrame_OpenToCategory(WeaponUpOptions.panel)
	end
end
SlashCmdList["WeaponUp"] = handler;

local function DoEquip() -- equip function
	for i = 1, GetNumEquipmentSets() do
	local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
	local inInstance, instanceType = IsInInstance()	
		if GetPrimaryTalentTree() == 1 then
			if instanceType == "party" or instanceType == "raid" then
				if name == wuname then
					if not isEquipped then
						UseEquipmentSet(wuname)
					end
				end
			elseif instanceType == "arena" or instanceType == "pvp" then
				if name == wupvpname then
					if not isEquipped then
						UseEquipmentSet(wupvpname)
					end
				end
			elseif instanceType == "none" then
				for i,v in pairs(Items) do
				if IsEquippedItem(v) then
					if wupvpmode == true then
						UseEquipmentSet(wupvpname)
					elseif wupvpmode == nil then
						UseEquipmentSet(wuname)
					end
				end
				end
			end
		elseif GetPrimaryTalentTree() == 2 then
			if instanceType == "party" or instanceType == "raid" then
				if name == wuname2 then
					if not isEquipped then
						UseEquipmentSet(wuname2)
					end
				end
			elseif instanceType == "arena" or instanceType == "pvp" then
				if name == wupvpname2 then
					if not isEquipped then
						UseEquipmentSet(wupvpname2)
					end
				end
			elseif instanceType == "none" then
				for i,v in pairs(Items) do
				if IsEquippedItem(v) then
					if wupvpmode == true then
						UseEquipmentSet(wupvpname2)
					elseif wupvpmode == nil then
						UseEquipmentSet(wuname2)
					end
				end
				end
			end
		elseif GetPrimaryTalentTree() == 3 then
			if instanceType == "party" or instanceType == "raid" then
				if name == wuname3 then
					if not isEquipped then
						UseEquipmentSet(wuname3)
					end
				end
			elseif instanceType == "arena" or instanceType == "pvp" then
				if name == wupvpname3 then
					if not isEquipped then
						UseEquipmentSet(wupvpname3)
					end
				end
			elseif instanceType == "none" then
				for i,v in pairs(Items) do
				if IsEquippedItem(v) then
					if wupvpmode == true then
						UseEquipmentSet(wupvpname3)
					elseif wupvpmode == nil then
						UseEquipmentSet(wuname3)
					end
				end
				end
			end
		end
	end
end

local function eventHandler(self, event, ...)

if event == "ADDON_LOADED" then
local addon = ...
	if addon == "WeaponUp" then
		if not wuname and not wuname2 and not wuname3 then
			DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r No sets chosen. Please choose sets in the settings tab for this addon to work.")
			if wuenable == nil then
				myCheckButton_GlobalName:SetChecked(true)
			end
		else -- Set Stored Options
			if wuenable == true then
				myCheckButton_GlobalName:SetChecked(true)
			elseif wuenable == nil then
				myCheckButton_GlobalName:SetChecked(true)
			else
				myCheckButton_GlobalName:SetChecked(false)
			end
			if wufishingmode == true then
				myCheckButton_GlobalName2:SetChecked(true)
			else
				myCheckButton_GlobalName2:SetChecked(false)
			end
			if wucooking == true then
				myCheckButton_GlobalName3:SetChecked(true)
				UIDropDownMenu_EnableDropDown(Cookset)
			else
				myCheckButton_GlobalName3:SetChecked(false)
				UIDropDownMenu_DisableDropDown(Cookset)
			end
			if wupvpmode == true then
				myCheckButton_GlobalName4:SetChecked(true)
			else
				myCheckButton_GlobalName4:SetChecked(false)
			end
			if wuname then
				UIDropDownMenu_SetText(Mydropdown, wuname)
			end
			if wuname2 then
				UIDropDownMenu_SetText(Secondary, wuname2)
			end
			if wuname3 then
				UIDropDownMenu_SetText(Third, wuname3)
			end
			if wupvpname then
				UIDropDownMenu_SetText(Fifth, wupvpname)
			end
			if wupvpname2 then
				UIDropDownMenu_SetText(Sixth, wupvpname2)
			end
			if wupvpname3 then
				UIDropDownMenu_SetText(Seventh, wupvpname3)
			end
			if wucookingname then
				UIDropDownMenu_SetText(Cookset, wucookingname)
			end
			if wujoustingmode == true then
				myCheckButton_GlobalName5:SetChecked(true)
			else
				myCheckButton_GlobalName5:SetChecked(false)
			end
		end
		if UnitFactionGroup("player") == "Alliance" then
			ArgentMountIDs ={
				[33790] = "Stabled Exodar Elekk",
				[33793] = "Stabled Gnomeregan Mechanostrider",
				[33794] = "Stabled Darnassian Nightsaber",
				[33795] = "Stabled Ironforge Ram",
				[33800] = "Stabled Stormwind Steed",
				[33843] = "Stabled Quel'dorei Steed",
				[36557] = "Argent Warhorse",
				[33870] = "Stabled Argent Warhorse",
				[34125] = "Stabled Campaign Warhorse",
			}
		else
			 ArgentMountIDs ={
				[33791] = "Stabled Silvermoon Hawkstrider",
				[33792] = "Stabled Thunder Bluff Kodo",
				[33796] = "Stabled Darkspear Raptor",
				[33798] = "Stabled Forsaken Warhorse",
				[33799] = "Stabled Orgrimmar Wolf",
				[33842] = "Stabled Sunreaver Hawkstrider",
				[36558] = "Argent Battleworg",
				[33870] = "Stabled Argent Warhorse",
				[34125] = "Stabled Campaign Warhorse",
			}
		end
	end

elseif event == "PLAYER_REGEN_DISABLED" then -- entered combat, equip a weapon if no suitable weapon
	if --[[not wuname or]] wuenable == false or UnitInVehicle("player") then
		return;
	else
		local inInstance, instanceType = IsInInstance()
		if not inInstance then
			DoEquip()
		end
	end

elseif event == "PLAYER_ENTERING_WORLD" then
	if wuenable == false then
		return;
	end
	local inInstance, instanceType = IsInInstance() 
	if --[[wuname and]] inInstance == 1 then -- set determined and zoned into an instance
		DoEquip()
	end
	if wufishingmode == true then
		if not inInstance then 
			for i = 1, GetNumEquipmentSets() do
			local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
				if isEquipped then
					if name == wulastset then -- already equipped do nothing
						return;
					end
				end
			end
			UseEquipmentSet(wulastset) -- not the last set, re-equip last set
			RaidNotice_AddMessage( RaidWarningFrame, string.format("|cffffff00WeaponUp:|r Switched back to set |cff00ff00 %s|r", wulastset ), ChatTypeInfo["RAID_WARNING"] );	
			
		end
	end

elseif event == "EQUIPMENT_SWAP_FINISHED" then -- finished equipping a gearset
local ok, setname = ...
	if wuenable == false then 
		return;
	end
	
	if (ok == true) and UnitAffectingCombat("player") and wuname and not UnitInVehicle("player") then
		RaidNotice_AddMessage( RaidWarningFrame, string.format("|cffffff00WeaponUp:|r Switched to set |cff00ff00 %s|r", setname ), ChatTypeInfo["RAID_WARNING"] );
	elseif (ok == nil) and UnitAffectingCombat("player") and wuname and not UnitInVehicle("player") then
		RaidNotice_AddMessage( RaidWarningFrame, string.format("|cffffff00WeaponUp:|r Could not switch to set |cff00ff00 %s|r", setname ), ChatTypeInfo["RAID_WARNING"] );
		queueset = true --couldn't swap so queue set
	end
	local inInstance, instanceType = IsInInstance()
	if not UnitAffectingCombat("player") and not inInstance then
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
			if name == setname and missingItems == 0 then	-- indicates a usable set
					wulastset = setname
				end
			end
	end

elseif event == "PLAYER_REGEN_ENABLED" then
	if not wuname or wuenable == false or UnitInVehicle("player") then
		return;
	end	
	local inInstance, instanceType = IsInInstance()
	
	if wufishingmode == true then
	if IsEquippedItem(46106) or IsEquippedItem(46069) or IsEquippedItem(46070) --[[or IsEquippedItem(52716)]] then -- Was in jousting vehicle
		DoEquip()
	end
	if inInstance == nil then 
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
			if isEquipped then
				if name == wulastset then -- already equipped do nothing
					return;
				end
			end
		end
		UseEquipmentSet(wulastset) -- not the last set, re-equip last set
		RaidNotice_AddMessage( RaidWarningFrame, string.format("|cffffff00WeaponUp:|r Switched back to set |cff00ff00 %s|r", wulastset ), ChatTypeInfo["RAID_WARNING"] );	
			
	end
	end
	if queueset == true then -- set couldn't be equipped so do so now
		if wufishingmode == true then
			for i = 1, GetNumEquipmentSets() do
			local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
				if isEquipped then
					if wulastset == name then
						queueset = nil -- set is already on do nothing
					end
				end	
			end
		else
			DoEquip()
			queueset = nil --set equipped clear queued set
		end
	end
elseif event == "TRADE_SKILL_SHOW" then -- for cooking set
	if not wucooking or wuenable == false or UnitInVehicle("player") then
		return;
	end
	
	if not IsTradeSkillLinked() and GetTradeSkillLine() == "Cooking" then
		if wucooking == true and wucookingname then
			for i = 1, GetNumEquipmentSets() do
			local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
				if isEquipped then
					wulastcookingset = name
					if name == wucookingname then
						return;
					end
				end
			end
				if GetItemCount(46349) > 0 then -- Chef's hat
					UseEquipmentSet(wucookingname)
				else
					DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r You do not have a Chef's Hat in your bags.")
				end
		end
	end
elseif event == "TRADE_SKILL_CLOSE" then
	if not wucooking or wuenable == false or UnitInVehicle("player") then
		return;
	end
	if not InCombatLockdown() and wulastcookingset then
		for i = 1, GetNumEquipmentSets() do
			local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
			if isEquipped then
				if name == wulastcookingset then 
					return;
				end
			end
		end
		--if not IsTradeSkillLinked() and GetTradeSkillLine() == "Cooking" then
		UseEquipmentSet(wulastcookingset)
		wulastcookingset = nil
		--end
	end
elseif event == "UNIT_EXITED_VEHICLE" then
local unit = ...
	if not wujoustingmode or wuenable == false or UnitInVehicle("player") or unit ~= "player" then
		return;
	end
	local mainHandLink = GetInventoryItemLink("player",GetInventorySlotInfo("MainHandSlot")) -- in case lance was removed by turning in quest
	if wufishingmode == true and unit == "player" and not UnitAffectingCombat("player") then
		if IsEquippedItem(46106) or IsEquippedItem(46069) or IsEquippedItem(46070) or IsEquippedItem(52716) or not mainHandLink then -- Was in jousting vehicle
			DoEquip()
		end
	end
end
end
WeaponUp:SetScript("OnEvent", eventHandler)

local function Lance(self, ...)
	if not wujoustingmode or wuenable == false or UnitInVehicle("player") then
		return;
	end
	local unitGUID = UnitGUID("mouseover")
	--DEFAULT_CHAT_FRAME:AddMessage(unitGUID)
	if not unitGUID then
		return
	end
	
	local unitType = unitGUID:sub(5, 5)
	
	if unitType ~= "3" and unitType ~= "5" then
       return
   end
	local inRange = CheckInteractDistance("mouseover", 3);
	local npcID = tonumber(unitGUID:sub(7, 10), 16)

	--if npcID == "39710" or npcID == "40719" or npcID == "40720" or npcID == "40723" then
	if MountIDs[npcID] then
        if inRange then
		if GetItemCount(52716) > 0 then
			EquipItemByName(52716)
		else
			DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r You do not have a lance in your bags.")
		end
		end
    end
	--end
	if ArgentMountIDs[npcID] then
		if inRange then
		if GetItemCount(46106) > 0 then
			EquipItemByName(46106)
		elseif GetItemCount(46069) > 0 then
			EquipItemByName(46069)
		elseif GetItemCount(46070) > 0 then
			EquipItemByName(46070)
		elseif GetItemCount(46106) == 0 and GetItemCount(46069) == 0 and GetItemCount(46070) == 0 then
			DEFAULT_CHAT_FRAME:AddMessage("|cffffff00WeaponUp:|r You do not have a lance in your bags.")
		end
		end
	end
end
GameTooltip:HookScript("OnShow", Lance)

-----Begin Options-----
WeaponUpOptions = {};
WeaponUpOptions.panel = CreateFrame( "Frame", "MyAddonPanel", UIParent );
WeaponUpOptions.panel.name = "WeaponUp";
InterfaceOptions_AddCategory(WeaponUpOptions.panel);
 
local Title = WeaponUpOptions.panel:CreateFontString("Title", "ARTWORK", "GameFontNormalLarge")
Title:SetPoint("TOPLEFT", WeaponUpOptions.panel, "TOPLEFT", 10, -10)
Title:SetText("WeaponUp")

local PvPTitle = WeaponUpOptions.panel:CreateFontString("PvPTitle", "ARTWORK", "GameFontGreenLarge")
PvPTitle:SetPoint("TOPLEFT", WeaponUpOptions.panel, "TOPLEFT", 210, -160)
PvPTitle:SetText("BattleGround/Arena Sets")

local PvETitle = WeaponUpOptions.panel:CreateFontString("PvETitle", "ARTWORK", "GameFontGreenLarge")
PvETitle:SetPoint("TOPLEFT", WeaponUpOptions.panel, "TOPLEFT", 210, -40)
PvETitle:SetText("Dungeon/Raid Sets")

local Tree1 = WeaponUpOptions.panel:CreateFontString("Tree1", "ARTWORK", "GameFontNormal")
Tree1:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -325, 210)
--Tree1:SetText("Tree 1 PvE Set")


local Tree2 = WeaponUpOptions.panel:CreateFontString("Tree2", "ARTWORK", "GameFontNormal")
Tree2:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -195, 210)
--Tree2:SetText("Tree 2 PvE Set")


local Tree3 = WeaponUpOptions.panel:CreateFontString("Tree3", "ARTWORK", "GameFontNormal")
Tree3:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -65, 210)
--Tree3:SetText("Tree 3 PvE Set")

local Tree1pvp = WeaponUpOptions.panel:CreateFontString("Tree1pvp", "ARTWORK", "GameFontNormal")
Tree1pvp:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -325, 90)
--Tree1pvp:SetText("Tree 1 PvP Set")


local Tree2pvp = WeaponUpOptions.panel:CreateFontString("Tree2pvp", "ARTWORK", "GameFontNormal")
Tree2pvp:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -195, 90)
--Tree2pvp:SetText("Tree 2 PvP Set")


local Tree3pvp = WeaponUpOptions.panel:CreateFontString("Tree3pvp", "ARTWORK", "GameFontNormal")
Tree3pvp:SetPoint("RIGHT", WeaponUpOptions.panel, "RIGHT", -65, 90)
--Tree3pvp:SetText("Tree 3 PvP Set")

local Cook = WeaponUpOptions.panel:CreateFontString("Cook", "ARTWORK", "GameFontNormal")
Cook:SetPoint("TOPLEFT", WeaponUpOptions.panel, "TOPLEFT", 25, -120)
Cook:SetText("Cooking Set")

local function TitleText(self, ...)
local _, name1, _, iconTexture1, _, _, _, _ = GetTalentTabInfo(1) 
local _, name2, _, iconTexture2, _, _, _, _ = GetTalentTabInfo(2)
local _, name3, _, iconTexture3, _, _, _, _ = GetTalentTabInfo(3)
Tree1:SetText(name1)
Tree2:SetText(name2)
Tree3:SetText(name3)
Tree1pvp:SetText(name1)
Tree2pvp:SetText(name2)
Tree3pvp:SetText(name3)
end

WeaponUpOptions.panel:SetScript("OnShow", TitleText)

local myCheckButton = CreateFrame("CheckButton", "myCheckButton_GlobalName", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton:SetPoint("TOPLEFT", 20, -30);
myCheckButton_GlobalNameText:SetText("Enable");
myCheckButton.tooltip = "This will enable or disable all equipment swaps.";
 
 myCheckButton:SetScript("OnClick", 
  function()
    if myCheckButton:GetChecked() then
	wuenable = true
	else
	wuenable = false
	end
  end)

local myCheckButton2 = CreateFrame("CheckButton", "myCheckButton_GlobalName2", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton2:SetPoint("TOPLEFT", 20, -60);
myCheckButton_GlobalName2Text:SetText("Enable Re-equips");
myCheckButton2.tooltip = "If enabled this will restore your last set before the swap. Useful for re-equipping sets such as fishing or vanity.";
 
 myCheckButton2:SetScript("OnClick", 
  function()
    if myCheckButton2:GetChecked() then
	wufishingmode = true
	else
	wufishingmode = false
	end
  end)  

local myCheckButton3 = CreateFrame("CheckButton", "myCheckButton_GlobalName3", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton3:SetPoint("TOPLEFT", 20, -90);
myCheckButton_GlobalName3Text:SetText("Enable Cooking");
myCheckButton3.tooltip = "This will enable or disable using the cooking set.";
 
 myCheckButton3:SetScript("OnClick", 
  function()
    if myCheckButton3:GetChecked() then
	wucooking = true
	UIDropDownMenu_EnableDropDown(Cookset)
	else
	wucooking = false
	UIDropDownMenu_DisableDropDown(Cookset)
	end
  end)
 
local myCheckButton4 = CreateFrame("CheckButton", "myCheckButton_GlobalName4", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton4:SetPoint("TOPLEFT", 20, -175);
myCheckButton_GlobalName4Text:SetText("Enable PvP mode");
myCheckButton4.tooltip = "If enabled this will make your BG/Arena sets your preferred world sets instead of Dungeon/Raid.";
 
 myCheckButton4:SetScript("OnClick", 
  function()
    if myCheckButton4:GetChecked() then
	wupvpmode = true
	else
	wupvpmode = nil
	end
  end)

local myCheckButton5 = CreateFrame("CheckButton", "myCheckButton_GlobalName5", WeaponUpOptions.panel, "ChatConfigCheckButtonTemplate");
myCheckButton5:SetPoint("TOPLEFT", 20, -205);
myCheckButton_GlobalName5Text:SetText("Enable Jousting");
myCheckButton5.tooltip = "If enabled this will Autoequip lances for jousting.";
 
 myCheckButton5:SetScript("OnClick", 
  function()
    if myCheckButton5:GetChecked() then
	wujoustingmode = true
	else
	wujoustingmode = nil
	end
  end)
 
  --First Dropdown 
local function SetSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Mydropdown, arg2)
	wuname = arg2
end 
local Mydropdown = CreateFrame("Frame", "Mydropdown", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Mydropdown.initialize = function(self, level) end
Mydropdown:SetPoint("TOPRIGHT", -405, -80);

local info = {}
Mydropdown.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = SetSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end

local function SecondarySelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Secondary, arg2)
	wuname2 = arg2
end 
--Second Dropdown
local Secondary = CreateFrame("Frame", "Secondary", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Secondary.initialize = function(self, level) end
Secondary:SetPoint("TOPRIGHT", -275, -80);

--local info2 = {}
Secondary.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = SecondarySelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end
--Third dropdown
local function ThirdSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Third, arg2)
	wuname3 = arg2
end 

local Third = CreateFrame("Frame", "Third", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Third.initialize = function(self, level) end
Third:SetPoint("TOPRIGHT", -145, -80);

--local info3 = {}
Third.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = ThirdSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end

--Fourth dropdown
local function CookSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Cookset, arg2)
	wucookingname = arg2
end 

local Cookset = CreateFrame("Frame", "Cookset", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Cookset.initialize = function(self, level) end
Cookset:SetPoint("LEFT", 10, 130);

--local info4 = {}
Cookset.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = CookSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end

 --Fifth Dropdown 
local function FifthSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Fifth, arg2)
	wupvpname = arg2
end 
local Fifth = CreateFrame("Frame", "Fifth", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Fifth.initialize = function(self, level) end
Fifth:SetPoint("TOPRIGHT", -405, -200);

--local info5 = {}
Fifth.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = FifthSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end

local function SixthSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Sixth, arg2)
	wupvpname2 = arg2
end 
--Sixth Dropdown
local Sixth = CreateFrame("Frame", "Sixth", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Sixth.initialize = function(self, level) end
Sixth:SetPoint("TOPRIGHT", -275, -200);

--local info6 = {}
Sixth.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = SixthSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end
--Seventh dropdown
local function SeventhSelection(button, arg1, arg2)
	UIDropDownMenu_SetText(Seventh, arg2)
	wupvpname3 = arg2
end 

local Seventh = CreateFrame("Frame", "Seventh", WeaponUpOptions.panel, "UIDropDownMenuTemplate")
Seventh.initialize = function(self, level) end
Seventh:SetPoint("TOPRIGHT", -145, -200);

--local info7 = {}
Seventh.initialize = function(self, level)
  
	
	if not level then return end
    wipe(info)
    if level == 1 then
		for i = 1, GetNumEquipmentSets() do
		local name, icon, setID, isEquipped, totalItems, equippedItems, inventoryItems, missingItems, ignoredSlots = GetEquipmentSetInfo(i)
		info.text = name
		info.icon = icon
		info.func = SeventhSelection 
		info.arg1 = i
		info.arg2 = name
		info.notCheckable = 1
		UIDropDownMenu_AddButton(info, level)
		end
    end
end